org.apache.cassandra.utils.btree

## Class BTree.Builder<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.BTree.Builder<V>

Enclosing class:
  BTree

    public static class BTree.Builder<V>
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `BTree.Builder.QuickResolver<V>`
`static interface` `BTree.Builder.Resolver`

### Method Summary

All Methods Instance Methods Concrete Methods
`BTree.Builder<V>` `add(V v)`
`BTree.Builder<V>` `addAll(java.util.Collection<V> add)`
`BTree.Builder<V>` `auto(boolean auto)`
`java.lang.Object[]` `build()`
`BTree.Builder<V>` `copy()` Creates a copy of this `Builder`.
`boolean` `isEmpty()`
`void` `recycle()`
`BTree.Builder<V>` `resolve(BTree.Builder.Resolver resolver)`
`BTree.Builder<V>` `reverse()`
`BTree.Builder<V>` `setQuickResolver(BTree.Builder.QuickResolver<V> quickResolver)`
`BTree.Builder<V>` `sort()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### copy

    public BTree.Builder<V> copy()

Creates a copy of this `Builder`.

Returns:
  a copy of this `Builder`.

#### setQuickResolver

    public BTree.Builder<V> setQuickResolver(BTree.Builder.QuickResolver<V> quickResolver)

#### recycle

    public void recycle()

#### auto

    public BTree.Builder<V> auto(boolean auto)

#### add

    public BTree.Builder<V> add(V v)

#### addAll

    public BTree.Builder<V> addAll(java.util.Collection<V> add)

#### isEmpty

    public boolean isEmpty()

#### reverse

    public BTree.Builder<V> reverse()

#### sort

    public BTree.Builder<V> sort()

#### resolve

    public BTree.Builder<V> resolve(BTree.Builder.Resolver resolver)

#### build

    public java.lang.Object[] build()